using System;
using System.Collections.Generic;
using System.Text;

namespace Howest.QueryBuilder.Common
{
	public class Field
	{
		private bool _show;

		public bool Show
		{
			get { return _show; }
			set { _show = value; }
		}

		private Sort _sort;

		public Sort Sort
		{
			get { return _sort; }
			set { _sort = value; }
		}

		private List<Criterium> _criteria;

		public List<Criterium> Criteria
		{
			get 
			{
				if (_criteria == null)
					_criteria = new List<Criterium>();
				return _criteria; 
			}
		}
	}
}
